Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411977 - Date format issues relating to custom dialog in NZ timezone
Summary: Date format issues relating to custom dialog in NZ timezone
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.6.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: cfme-future
Assignee: Lucy Fu
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 22:05 UTC by Thomas Hennessy
Modified: 2020-03-11 15:35 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 22:10:00 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Comment 4 tachoi 2017-01-23 05:40:16 UTC
Hi Team

I am seeing this request is still in new status.
Can someone have a look this and provide update ?

Also please let me know if you want me to separate second issue from this bz case.
Customer informed that this is pretty urgent as per project timeline.

Regards,
Taeho

Comment 8 Greg McCullough 2017-01-27 19:18:42 UTC
Lucy - Can you take a look at this and work with Erik if needed.  The control automatically sets the day one day ahead, so that is currently expected.  Need to verify with Erik if an change this to a dynamic field and using an automate method can override.

But the bigger question is the understanding why the is being evaluated incorrectly by automate.

Comment 9 Greg McCullough 2017-01-27 19:33:44 UTC
Here is an simple example of a dynamic field method to set the date to the current date/time from automate.

dialog_field = $evm.object
dialog_field["value"] = Time.zone.now


Note You need to log in before you can comment on or make changes to this bug.